package room

type TimerType int

const (
	TtSecond TimerType = 5 // 每秒定时器

	TtGameStart      TimerType = 300
	TtStartBetting   TimerType = 305
	TtEndBet         TimerType = 310
	TtOpenThreeDices TimerType = 315
	TtSettle         TimerType = 320
	TtGameEnd        TimerType = 325
)

func (t TimerType) Number() int32 {
	return int32(t)
}

func (t TimerType) String() string {
	switch t {
	case TtSecond:
		return "TtSecond"
	case TtGameStart:
		return "TtGameStart"
	case TtStartBetting:
		return "TtStartBetting"
	case TtEndBet:
		return "TtEndBet"
	case TtOpenThreeDices:
		return "TtOpenThreeDices"
	case TtSettle:
		return "TtSettle"
	case TtGameEnd:
		return "TtGameEnd"

	}
	return "unknown"
}
